# Filename: pl_is_closed.py
# Purpose: Checks if the polygon is closed.
# Returns: Bool.

from maptek import vulcan_gui

# use dynamic selection to select correct object
sel = vulcan_gui.selection("Select layer object.")
sel.criteria = ["LINE", "POLYGON"]  # limit selection to a polyline object
sel.single_object = True  # prevents selection prompt from asking more than once

for obj in sel:
    obj_name = obj.get_name()  # get name of object
    state = obj.is_closed()  # check if the polygon is closed

    print(f"{obj_name} closed: {state}")